Subject: Solution to Common PC-Pine End-User Problem [Error 5.7.1/ Trouble Sending Mail / Mail Relay]

From: Robert Rossi <[email-masked]>
Date: Wed, 8 Oct 2003 11:36:49 -0500 (Central Daylight Time)

As a frustrated end-user I found several questions regarding the
following error message, but no good answers:
[Mail not sent: sorry, that domain isn't in my list of allowed rcpthosts
(#5.7.1)]

Technical discussion of the issue centered on problems in qmail with
relay of mail and similar issues, but I encountered it as a direct
result of switching ISP.  I could send mail to users in my ISP's domain
(gtcinternet.com), but nowhere else.  They may or may not have a relay
problem, more likely I was hitting up against their anti-SPAM security.
    This problem did not occur with my earlier ISP (Earthlink) despite
an identical setup.  I think GTC wasn't automatically recognizing that I
was on their network, and thus deserving of sendmail authorization.

The solution that worked for me was as follows:

1) Change the SMTP-server setting in the conifugration menu (4th entry)
to that specified by your mail service provider  (Many providers will
not allow you to use a third-party SMTP, so this is often forced upon
you even if you are using PC-Pine exclusively to read a .edu account!).
  This is generally of the form smtp.my_isp_name.net,
mail.my_isp_name.com, or some variant thereof that they should make
readily available to you on their webpage or tech support phone number.

2) Add authentication to this smtp by appending /user=username to the
end of the smtp server entry above.  For example, (with bogus username)
mail.gtcinternet.com/user=bobby
or
smtpauth.earthlink.net/user=[email-masked]
Note that some ISPs, like Earthlink, use a *different* server for
authenticated SMTP.

3) At this point, efforts to send outbound mail will often be met with
[Error sending: SMTP Authentication cancelled]
This is a seperate problem, which is explained in the archives of this
newsgroup, but for completeness I post the resolution here:
Quit Pine and edit the pine.rc file you are using with a text editor:
Find the lines
> # List of SASL authenticators to disable.
> disable-these-authenticators=
and change this to read
> # List of SASL authenticators to disable.
> disable-these-authenticators=PLAIN
Save the modified file and re-start PC-Pine.  Hopefully outgoing mail
will now go on its merry way.
Kudos to Mark Crispin <[email-masked]> for solving this latter
problem for all of us.

Those with greater knowledge of this than I, feel free to correct and
tweak, explain and comment on this as you see fit.  But having gone
through a lot of effort to figure it out, I wanted to save others from
the same fate (I almost gave up on my new ISP!).

Rob Rossi <[email-masked]>
Minneapolis, MN

I post this message here because related discussions took place here
without resolution, and because the newsgroups are not often accessible to
someone who's just switched ISP's and is having this problem (while they
generally can access UW's handy Pine-info archive).

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Robert Rossi   http://www.acad.carleton.edu/curricular/CHEM/faculty/rrossi
[email-masked]             Work: (651)696-6327    Home: (612)721-1344

Cynical is a word used by the frightened to describe the realistic. - Snog

There is only one thing that makes a dream impossible to achieve: the fear
of failure.                                - Paulo Coelho, _The Alchemist_

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------